Api Change Log

Application Versions


Changes between 23.6 to 24.12

What's New


  1. POST /syncService/syncDomains Sync PTP clock data from WS-NOC application
  2. POST /service/deleteMultipleServices Supports bulk deletion of Services.
  3. POST /service/decommissionFreqDistributionService decommission frequency distribution service
  4. POST /labels/unassignLabelToWSSService This endpoint allows you to unAssign a label to either PTP or SYNCE services if being attached previously by specifying the proper service ID.
  5. POST /labels/createAndAssignLabelToWSSService This endpoint allows you to create a new label and assign that label to either PTP or SYNCE services by specifying the proper service ID.
  6. POST /labels/assignLabelToWSSService This endpoint allows you to assign a label to either PTP or SYNCE services by specifying the proper service ID.
  7. POST /domainBrowser/exportDomains Export Domains to Csv
  8. GET /pmBrowser/getPortProfileDetailsByServiceID get PTP ports which are associated to the profile for the given service id.
  9. GET /pmBrowser/getAllPortsDetailsByServiceIDForAssociate Get All PTP ports details by giving the service ID as input For associate profile.
  10. GET /linksBrowser/getSubRouteDetailsByTpIds Get SubRoutes based on source and destination tpids for each route
  11. GET /labels/getAllLabelNamesForWSS This endpoint allows you to fetch all the labels required to assign or unAssign those labels to a PTP or SYNCE
  12. GET /internal/sso-shared-common/v1/session-info

What's Deleted


What's Deprecated


What's Changed


  1. GET /portsBrowser/getPorts Searches port Data for time distribution service
    • Response

      • Deleted response : [403]//Forbidden
      • Changed response : [400]//Bad input parameter
        • Changed response : [200]//Search results for given neid and portType
          • Schema

            Changed body: 'application/json'
    • GET /nodesBrowser/getNodesByServiceId
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//search results for the provided serviceid and neid.
          • Schema

            Changed body: 'application/json'
    • GET /nodesBrowser/getFreqNodesByServiceId searches Node Data based on Service Id for frequency distribution service
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//search results for the provided serviceid and neid.
          • Schema

            Changed body: 'application/json'
    • GET /jobs Get count of inprogress , completed and aborted jobs of WSS
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//Jobs Count
          • Schema

            Changed body: 'application/json'
    • GET /cardsBrowser/getCardsFromNeId
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//search results for given neid , neId can be fetched from restcall - /nodesBrowser/allNodes based on neName
          • Schema

            Changed body: 'application/json'
    • POST /templatesService/unPublishTimeDistributionTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/unPublishFreqDistributionTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/publishTimeDistributionTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/publishFreqDistributionTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/modifyTimeDistTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/modifyFreqDistTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/deleteMultipleTimeDistTemplate Supports bulk deletion of Time Distribution Templates
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/deleteMultipleFreqDistTemplate Supports bulk deletion of Frequency Distribution Templates.
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/createTimeDistTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/createFreqDistTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /service/saveTimeDistributionServiceClockAndPortInfo
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Clock and Port info for time distribution service has been successfully saved.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/exportServicesToCsv
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /pmService/deleteTCAProfile
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /pmService/createTCAProfile
      • Request

        • Schema incompatible

          Changed body: 'application/json'
    • POST /syncService/syncNodes The WS-S entities for clock and the corresponding PTP/SyncE port details are synced for the given nodes
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//Successfully triggered sync for the given nodes
          • Schema

            Changed body: 'application/json'
    • POST /service/syncTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Sync of Clock/Port parameters and routes for the time distribution service is successful.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/syncFreqDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Sync of Clock/Port parameters and routes for the frequency distribution service is successful.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/saveFreqDistributionServiceLinerefAndPortInfo
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Lineref and port info for the frequency distribution service have been successfully saved.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/deployTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Time distribution service has been deployed successfully.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/deployFreqDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Frequency distribution service has been deployed successfully.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/deleteTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Time distribution service has been successfully deleted.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/deleteFreqDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Frequency distribution service has been successfully deleted.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/decommissionTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /service/deactivateTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Time distribution service has been successfully deactivated.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/dbdeleteTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /service/dbdeleteFreqDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /service/createTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//The time distribution service has been successfully created.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/createFreqDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//The frequency distribution service has been successfully created.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/createFreqDistributionServiceWithPortDetails
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//The frequency distribution service has been successfully created with port details.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/clearPMTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /service/clearPMFreqDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /service/activateTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Time distribution service has been successfully activated.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/abortTimeDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Abort the time distribution service was successful.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/abortFreqDistributionService
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Abort the frequency distribution service was successful.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /pmService/clearTCAProfile
      • Request

        • Schema incompatible

          Changed body: 'application/json'
    • POST /pmService/clearTCAProfileForSyncE
      • Request

        • Schema incompatible

          Changed body: 'application/json'
    • POST /pmService/associateTCAProfile
      • Request

        • Schema incompatible

          Changed body: 'application/json'
    • POST /pmService/associateTCAProfileForSyncE
      • Request

        • Schema incompatible

          Changed body: 'application/json'
    • POST /discoveryService/discovery discover PTP, SyncE clock data from WS-S application
      • Parameters

        • Add discoveryType in query//Holds discovery type for discovering PTP, SyncE or Both services. Accepted values are "PTP","SyncE","PTPAndSyncE".
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//Successfully triggered WS-S Discovery operation
          • Schema

            Changed body: 'application/json'